﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule.DayView;
using Infragistics.Win.UltraWinToolTip;

namespace WindowsFormsApplication215
{
    public partial class Form1 : Form
    {
        UltraToolTipInfo info = new UltraToolTipInfo();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.Owners.Add("James", "James");
            ultraCalendarInfo1.Owners.Add("Mike", "Mike");
            ultraCalendarInfo1.Owners.Add("John", "John");
            ultraCalendarInfo1.Owners.Add("Cobra", "Cobra");
            ultraCalendarInfo1.Owners["John"].DayOfWeekSettings[Infragistics.Win.UltraWinSchedule.DayOfWeekEnum.Wednesday].WorkDayStartTime = DateTime.Today.AddHours(10);
            ultraCalendarInfo1.Owners["John"].DayOfWeekSettings[Infragistics.Win.UltraWinSchedule.DayOfWeekEnum.Wednesday].WorkDayEndTime = DateTime.Today.AddHours(13);
            ultraDayView1.NonWorkingHourTimeSlotAppearance.BackColor = Color.Red;
            ultraDayView1.WorkingHourTimeSlotAppearance.BackColor = Color.Blue;
        }

        private void ultraDayView1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is TimeSlotUIElement)
            {
                TimeSlotUIElement el = (TimeSlotUIElement)e.Element;

                if (ultraDayView1.GetTimeSlotFromPoint(e.Element.Rect.Location).EndTime.Hour < el.Owner.DayOfWeekSettings[el.Date.DayOfWeek].WorkDayStartTime.Hour || ultraDayView1.GetTimeSlotFromPoint(e.Element.Rect.Location).StartTime.Hour >= el.Owner.DayOfWeekSettings[el.Date.DayOfWeek].WorkDayEndTime.Hour)
                {
                    info.ToolTipText = "Owner unavailable at this time";
                    ultraToolTipManager1.SetUltraToolTip(ultraDayView1, info);
                    ultraToolTipManager1.ShowToolTip(ultraDayView1, new Rectangle(0, 0, 10, 10), Cursor.Position);
                }
            }
        }

        private void ultraDayView1_MouseLeaveElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            ultraToolTipManager1.HideToolTip();
        }
    }
}
